Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/vis: Updated APKBUILD

From: Marian Buschsieweke <mari.hahn_at_wwu.de>
Date: Wed, 6 Apr 2016 18:35:31 +0000

 * Updated vis from version 0.1 to 0.2 (current release)
 * Building against lua5.3 instead lua5.2
 * Added call to "./configure" - otherwise linking fails
---
 testing/vis/APKBUILD | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)
diff --git a/testing/vis/APKBUILD b/testing/vis/APKBUILD
index 0e492c9..4b39177 100644
--- a/testing/vis/APKBUILD
+++ b/testing/vis/APKBUILD
_at_@ -1,15 +1,15 @@
 # Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
 # Maintainer: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
 pkgname=vis
-pkgver=0.1
+pkgver=0.2
 pkgrel=1
 pkgdesc="A vim like text editor"
 url="https://github.com/martanne/vis"
 arch="all"
 license="ISC"
-depends="!outils-vis lua5.2-lpeg"
+depends="!outils-vis lua5.3-lpeg"
 depends_dev=""
-makedepends="libtermkey-dev ncurses-dev lua5.2-dev"
+makedepends="libtermkey-dev ncurses-dev lua5.3-dev"
 install=""
 subpackages="$pkgname-doc"
 source="$pkgname-$pkgver.tar.gz::https://github.com/martanne/$pkgname/archive/v$pkgver.tar.gz
_at_@ -17,19 +17,20 @@ source="$pkgname-$pkgver.tar.gz::https://github.com/martanne/$pkgname/archive/v$
 
 _builddir="$srcdir"/$pkgname-$pkgver
 build() {
-	make -C "$_builddir" || return 1
+	cd "$_builddir"
+	CFLAGS="$CFLAGS -I/usr/include/lua5.3" ./configure --prefix=/usr || return 1
+	make || return 1
 }
 
 package() {
 	make -C "$_builddir" \
-		PREFIX=/usr \
 		DESTDIR="$pkgdir" \
 		install || return 1
 }
 
-md5sums="1e4a2b14cce65dee1458c6c4bd47b28e  vis-0.1.tar.gz
+md5sums="60487df2369c6bf6bed0ee9eb8cfa07e  vis-0.2.tar.gz
 4cdc22b04428fc837feb78cc4cedbe2f  fortify-source.patch"
-sha256sums="c695b095f85f4360590865b0b7007aa019463b24c1026c0e624a78b31f3ac54b  vis-0.1.tar.gz
+sha256sums="3e5b81d760849c56ee378421e9ba0f653c641bf78e7594f71d85357be99a752d  vis-0.2.tar.gz
 71928d8b7408e52c396aca154e0fefc0aa07b1da744afc2d486b1f8b0984f89b  fortify-source.patch"
-sha512sums="f2647971660ceb14a16371129e01027264c80818e1143684dffd19a7b99df5ee83978751b497b5678bb36a910203f9546366db335ccaf721b906b8e5b1bb9100  vis-0.1.tar.gz
+sha512sums="ded2566105b890e21ee010f2f2809986e405f76bed2f7a969d2f818bcf437f3969a140ed0be2af7631e36b3c7fb6b73a3d715ba9ddb7fdd67a2e983b0765918a  vis-0.2.tar.gz
 46a0220123a1878cd2f96fe69009ce14fea4c2362e6c285d63237faf140062125a4132668dc01124723ac0f697ae3ad625c5ea242330e427b0496436fe300d5b  fortify-source.patch"
-- 
2.6.6
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Apr 06 2016 - 18:35:31 GMT